-- #############################################################################
-- ## Module: @(#)aus_last_run.sql      2.0     Date: 01/01/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- #############################################################################
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-- ## Show when Auto Update Status (AUS) was last run for a server

database sysmaster;

-- unload to "aus_last_run.uld"
select
	substr(b.name,1,20) as db,
	substr(c.tabname,1,20) as table,
	aus_cmd_type as level,
	aus_cmd_time as when
from
	sysadmin:aus_command a,
	sysmaster:sysdatabases b,
	sysmaster:systabnames c
where 	a.aus_cmd_dbs_partnum = b.partnum
and a.aus_cmd_partnum = c.partnum
and b.name not matches "sys*"
and c.tabname not matches "sys*"
order by aus_cmd_id;



