-----------------------------------------------------------------------------
-- Module: @(#)AWSIOPS.sql	version: 2.5     Date: 10/1/2021
-- Author: Lester Knutsen  Contact: lester@advancedatatools.com
-- Copyright: Advanced DataTools Corporation - 2021
-- Description:	 Use AWS Calculations for IOPS and Throughput
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

{ ==
AWS IOPS Calculations
Disk reads/sec + disk writes/sec = IOPS
Disk read bytes/sec + disk write bytes/sec = Throughput
} 

database sysmaster;
select
        "Statics Uptime in Seconds:  " metric,
        (ROUND (( sh_curtime - sh_pfclrtime)))  value -- hours_since_stats_reset
from sysshmvals
union all
select  "Average Disk IOPS - Page RW per Second" meteric,
        (( select sum ( value ) from sysprofile where name in ( "dskreads", "dskwrites"))  
	/ ( select (ROUND (( sh_curtime - sh_pfclrtime)))  from sysshmvals )) value

from sysdual
union all
select  "Average Disk Throughput - Bytes per Second" meteric,
        ((( select sum ( value ) from sysprofile where name in ( "dskreads", "dskwrites")) 
	* ( select sh_pagesize from sysshmvals )) 
	/ ( select (ROUND (( sh_curtime - sh_pfclrtime)))  from sysshmvals )) value

from sysdual;
