-- #############################################################################
-- ## Module: @(#)DB_index_usage.sql      2.0     Date: 08/25/2019
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-- #############################################################################

-- Execute this query in a user database 
-- Connect to the database you want the info from - Not Sysmaster

-- unload to index_usage.uld
select 	
	t.tabname,
	i.indexname,
	bufreads,
	bufwrites,
	case
		when bufwrites = 0 then bufreads
		when bufreads = 0 then 0
		else ( bufreads /bufwrites )
	end ratio
from 	systables t, sysfragments i,  outer sysmaster:sysptprof p
where 	t.tabid = i.tabid
and 	i.fragtype = "I"
and   	i.partn = p.partnum 
and 	t.tabid > 99;

