#############################################################################
## Module: @(#)DB_loop_run.sh     2.0     Date: 01/01/2019
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Runs the same script for all database on the server
#############################################################################

DD=`date +'%Y%m%d%H%M%S'`
LOG=Logfile$DD.log

## Create a log file to capute stdio and stderr
echo "Log file: $LOG"
echo "Script to run: $1"
{
echo $INFORMIXSERVER

dbaccess sysmaster - <<EOF 2>&1
-- create a list of database names that can be used in a loop
unload to database_list.x delimiter " "
select  trim(name) 
	from sysdatabases
	where name not in ( "sysmaster", "sysadmin", "sysuser", "sysutils" )
EOF

for db in `cat database_list.x`
do
echo "Results for: $db"
dbaccess $db $1 2>&1 
done

rm database_list.x

} 2>&1 | tee $LOG
