-- #############################################################################
-- ## Module: @(#)DB_update_stats_info.sql      2.0     Date: 01/01/2018
-- ## Author: Lester Knutsen  Email: lester@advancedatatools.com
-- ##         Advanced DataTools Corporation
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-- #############################################################################
-- ## Show when update status for last run for a table or columns
-- ## in the current database


-- Run this script connected to a user database

-- unload to updstats_info.uld
select 	t.tabname as tabname,
	t.ustlowts as low_update,
	c.colname as column,
	d.constructed as upddate,
	d.mode as mode,
	d.constr_time as updtime,
	d.ustbuildduration as updduration,
--	d.nupdates,
--	d.ndeletes,
--	d.ninserts,
	max(d.seqno) as maxseqno
from 	systables t, outer ( sysdistrib d, syscolumns c )
where  	t.tabid > 99
and	t.tabtype = "T"
and	t.tabid = d.tabid
and 	d.tabid = c.tabid
and 	d.colno = c.colno
group by 1,2,3,4,5,6,7 --,8,9, 10
order by 1, 3
