-----------------------------------------------------------------------------
-- Module: @(#)SQL_cost_explain.sql	1.0     Date: 2019/09/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description: 
-- Tested with Informix 12.10 and Informix 14.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-- Warning - May cause Assert Failures in 14.10.FC3 and some other versions
-----------------------------------------------------------------------------

database sysmaster;

create table if not exists mysqlexplainstats (
	mys_username	char(32),
        mys_sessionid	integer,
        mys_conbno	smallint,
        mys_iscurrent	char(1),
        mys_estcost	integer,
        mys_estrows	integer,
        mys_sqlstatement lvarchar
	); 

insert into mysqlexplainstats (
	mys_username,
        mys_sessionid,
        mys_conbno,
        mys_iscurrent,
        mys_estcost,
        mys_estrows,
        mys_sqlstatement
	)
select  username,
        sqx_sessionid,
        sqx_conbno,
        sqx_iscurrent,
        sqx_estcost,
        sqx_estrows,
        trim(sqx_sqlstatement)
from syssqexplain, sysscblst
where   sqx_sessionid = sid
and     sqx_sqlstatement is not NULL
and     sqx_sqlstatement[1] != " ";

--  Now Sumarize the data by Estimated cost and number of executions
-- unload to sql_explain_sum.uld
select
        trim( mys_sqlstatement) sqlstatement,
        sum(mys_estcost) sum_estcost,
        count(*)        count_executions
from mysqlexplainstats
group by 1
order by 2 desc;

