-----------------------------------------------------------------------------
-- Module: @(#)checkpoint_sumary.sql    1.0     Date: 2019/09/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description: 
--      Tested with Informix 12.10 and Informix 14.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

-- unload to checkpoint_sumary.uld
select 	
	type,
	count(*) num_checkpoints,
	max ( dbinfo( "utc_to_datetime", clock_time)) last_checkpoint,   -- Clock time of the checkpoint
	max ( crit_time ) max_sec_crit_time, -- Fractional seconds spent in critical sections
	sum ( crit_time ) sum_sec_crit_time, -- Fractional seconds spent in critical sections
	max ( flush_time ) max_sec_flush_time, -- Fractional seconds spent flushing dirty pages during the checkpoint
	sum ( flush_time ) sum_sec_flush_time, -- Fractional seconds spent flushing dirty pages during the checkpoint
	max ( cp_time ) max_checkpoint_time, -- Duration of the checkpoint in fractional seconds
	sum ( cp_time ) sum_checkpoint_time, -- Duration of the checkpoint in fractional seconds
	max ( n_dirty_buffs ) max_dirty_buffs, -- Number of dirty buffers at the beginning of the checkpoint
	sum ( n_dirty_buffs ) sum_dirty_buffs, -- Number of dirty buffers at the beginning of the checkpoint
	max ( n_crit_waits ) max_crit_waits, -- Number of processes that had to wait for the checkpoint
	sum ( n_crit_waits ) sum_crit_waits, -- Number of processes that had to wait for the checkpoint
	max ( tot_crit_wait ) max_crit_sec, -- Total time all processes waited for the checkpoint - fractional seconds
	sum ( tot_crit_wait ) sum_crit_sec, -- Total time all processes waited for the checkpoint - fractional seconds
	max ( block_time ) max_block_time, -- Longest any process had to wait for the checkpoint - fractional seconds
	sum ( block_time ) sum_block_time -- Longest any process had to wait for the checkpoint - fractional seconds
from syscheckpoint
group by 1
order by 1 ;
