-----------------------------------------------------------------------------
-- Module: @(#)chunk_io_times.sql    1.0     Date: 2019/09/01
-- Author: unknown
-- Description: 
--      Tested with Informix 12.10 and Informix 14.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------
-- Interesting script that was found on the internet, I wish I remember where and by who
-- to give them credit for it.

-- Ideally, service times for IO should be less than 10ms (0.010s) and anything over 25ms 
-- is probably slowing your system down.  Ignore any chunks with small values for reads and 
-- writes however as outliers.  This is the basic output from onstat -g iof

database sysmaster;

-- unload to chunkio_time.uld
select 
	name dbspace,
	fname device,
	chknum,
	reads,
	readtime,
	case reads 
		when 0 then 0 
		else readtime / reads 
	end avg_read_svc_time,
	writes,
	writetime,
	case writes 
		when 0 then 0 
		else writetime / writes 
	end avg_write_svc_time
from    sysmaster:syschktab c, sysmaster:sysdbstab d
where   c.dbsnum = d.dbsnum
order by chknum;

