-----------------------------------------------------------------------------
-- Module: @(#)database_size.sql	2.1     Date: 2013/04/10
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Discription:	Displays size of database based on pages allocated
--	Tested with Informix 11.70 and Informix 12.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

select  dbsname,
        sum( pe_size ) total_pages,
	((sum( pe_size ) * ( select sh_pagesize from sysshmvals ))/1024) total_size_KB
from systabnames, sysptnext
where partnum = pe_partnum
and dbsname in ( select name from sysdatabases )
group by 1
order by 2 desc
