-----------------------------------------------------------------------------
-- Module: @(#)logs_not_backup.sql    1.0     Date: 2019/09/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description: 
--      Tested with Informix 12.10 and Informix 14.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

-- select * from syslogs;
-- This query should normally only return the current log (is_current = 1) 
-- and possibly the log with the previous uniqid to the current one if you 
-- happen to catch it just as it filled and didn't get backed up yet.  
-- If more than those last two uniqids are returned, then something is amiss.


-- unload to logs_not_backup.uld
select uniqid, is_current, is_used, is_backed_up, is_new
from syslogs
where is_used = 1
  and is_new = 0
  and is_temp = 0
  and is_pre_dropped = 0
  and is_backed_up != 1
order by uniqid;
