-----------------------------------------------------------------------------
-- Module: @(#)server_performance.sql	1.0     Date: 2021/09/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Discription:	Displays key server profile/perfomance ratios
--      Tested with Informix 12.10 and Informix 14.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

select
	"Statics Uptime in Minutes:  " metric,
        (ROUND (( sh_curtime - sh_pfclrtime)/60))  value -- hours_since_stats_reset
from sysshmvals

-- CPU Time
union all
select 
        "Total CPU Time:" metric, 
	(sum(usecs_user) + sum(usecs_sys) ) total_cpu
from sysvplst
union all
select  "Total Disk IO - Page RW" meteric,
        ( select sum ( value ) from sysprofile where name in ( "dskreads", "dskwrites"))  total_disk_IO
from sysdual

union all
select  "Total Buffer IO - Buffer RW" meteric,
        ( select sum ( value ) from sysprofile where name in ( "bufreads", "bufwrites"))  total_buff_IO
from sysdual

-- Memory
union all
select "Total Memory" metric,
        sum( seg_size ) total_size
from sysseglst

;
