-----------------------------------------------------------------------------
-- Module: @(#)Server_Sort_ratios.sql	1.0     Date: 2022/01/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Discription:	Displays Sort ratios
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

--  How long has the Server been up?
select
	"Statics Uptime in Hours:  " metric,
        (ROUND (( sh_curtime - sh_pfclrtime)/60)/60 )  value -- hours_since_stats_reset
from sysshmvals
union all
select
	"Statics Uptime in Minutes:  " metric,
        (ROUND (( sh_curtime - sh_pfclrtime)/60))  value -- hours_since_stats_reset
from sysshmvals
union all

-- Sort Information
select 	case
	when name  = "totalsorts"
		then "Total Sorts:"
	when name  = "memsorts"
		then "Memory Sorts:"
	when name  = "disksorts"
		then "Disk Sorts:"
	when name  = "maxsortspace"
		then "Max Sort Space:"
	else
		name
	end, 
	value
from sysprofile
where name in ( "totalsorts", "memsorts", "disksorts", "maxsortspace" )
union all
select "Sorts per hour:" metric,
        ( Value / ( select (ROUND ((( sh_curtime - sh_pfclrtime)/60)/60) )
                        from sysshmvals )) 
from sysprofile
where name in ( "totalsorts" )
;

