-----------------------------------------------------------------------------
-- Module: @(#)table_extent_plan2.sql	1.0     Date: 2023/01/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description: 
--	Tested with Informix 11.70 and Informix 12.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------
--       if you growth factor is greater the 20% per year make the nessary
--       changes.
------------------------------

database sysmaster;

select  ( dbinfo('dbspace', partnum )) dbspace,
	dbsname database,
	owner,
	tabname,
	ti_nextns	num_extents,
	ti_pagesize	pagesize,
	round ( ti_npdata *  ti_pagesize /1024 )   current_size_kb,
	round ( ti_fextsiz *  ti_pagesize /1024  ) current_extent_kb,
	round ( ti_nextsiz *  ti_pagesize /1024  ) current_next_kb,
	-- Proposed Size 1.2 x current size
	round ( ti_npdata * ti_pagesize * 1.2 /1024 ) proposed_extent_kb,
	-- Proposed Growth at .2 x current size
	round ( ti_npdata * ti_pagesize * .2 /1024 )  proposed_next_kb
from systabnames, systabinfo
where ti_partnum = partnum
and    dbsname not in ("sysmaster", "sysuser", "sysutils", "sysadmin")
order by num_extents desc;
