-----------------------------------------------------------------------------
-- Module: @(#)table_extents.sql	1.0     Date: 2015/03/20
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description: 
--	Tested with Informix 11.70 and Informix 12.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

select  ( dbinfo('dbspace', partnum )) dbspace,
	dbsname database,
	owner,
	tabname,
	ti_partnum	partnum,
	ti_pagesize	pagesize,
	ti_nptotal	total_pages,
	ti_npused	used_pages,
	ti_npdata	data_pages,
	ti_nextns	num_extents
from systabnames, systabinfo
where ti_partnum = partnum
and    	dbsname not in ("sysmaster", "sysuser", "sysutils", "sysadmin")
and     systabnames.tabname not in ( select tabname from systables where tabid <=99 )
and     systabnames.tabname != "TBLSpace"
and     ti_npdata > 0

order by 10 desc;
