-----------------------------------------------------------------------------
-- Module: @(#)table_with_seqscans.sql	2.3     Date: 2020/01/01
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Description:	Find tables with sequential scans
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

select 	first 100
	dbsname	database,
	tabname	table, 
	partnum	partnumber,
	ti_npdata   table_size_pages,
	sum(seqscans) total_scans,
	(ti_npdata * (sum(seqscans))) total_pages_scaned
from 	sysptprof, systabinfo
where 	sysptprof.partnum = systabinfo.ti_partnum	
and seqscans > 0
and tabname not in ( select tabname from systables where tabid < 100 )
and dbsname not in ( "sysmaster", "sysadmin" , "sysuser", "sysutils" )
group 	by 1, 2, 3, 4
order 	by 6 desc
